#include "flip.h"

Flip::Flip() {
  this->row = 0;
  this->collum = 0;
}

bool Flip::setFlip(QByteArray &data) {
  if (data.length() == 2) {
    this->row = data[0];
    this->collum = data[1];
    return true;
  }
  return false;
}

QTextStream &operator<<(QTextStream &out, Flip flp) {
  out << "{\n";
  out << tab << CMOSFlipRowText << ": " << flp.row << endValue;
  out << tab << CMOSFlipColText << ": " << flp.collum << endValue;
  out << "}";
  return out;
}
